Kerbal Space Program - Bug #750

Time Warp messes with electricity
06/01/2013 11:20 AM - Anonymous

Status: Closed Start date: 06/01/2013
Severity: Very Low % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 0.20 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

Steps to reproduce:

1. Create a ship with many probe cores in order to create high power draw. Also include one radiogen power source. Make sure
there is exactly enough power for the needed components. This bug also occurs when there is excess power, but it is more difficult to
reproduce.

2. Place the ship on the launch pad and open the resources menu. Note that there is enough power for everything.

3. Increase the timewarp until the power drops and goes back up with sharp spikes.

Video with bug reproduced: http://youtu.be/UWgp_tGNy_U
Real situation with issue: http://youtu.be/S_gcGbXi0u0

History

#1 - 06/17/2013 03:36 PM - dr.3vil

+1 for this issue

Conditions: RTG + solar array + single battery, various science instruments, anything that draws power. Ample power for configured mission

Steps to reproduce:

1) As mentioned above, during positive and negative increments of the time compression feature, spacecraft power draw spikes resulting in a loss of
craft control.

2) Observed loss occurs during time compression ramp-up and down, once compression is complete power stabilizes. Most noticeable at X10000
and x100000

Work Around:

1) Adding a larger battery seems to compensate for the momentary loss of generation ( depending on mission profile )
2) Adding additional power sources of power does nothing, all generations sources are nulled.

Some results:

1) during compression, power drain goes from 0.3 to 70units under full load
2) disable accelerometer and repeat time compression test, drain is now 50 units

#2 - 06/23/2013 11:16 AM - BloodyRain2k

Posted by someone on the forum:
"RTGs fluctuate because they run in Update instead of FixedUpdate. You can observe this by creating a module which consumes resources during
Update; RTGs supply it smoothly, and everything else will make it fluctuate."

#3 - 07/27/2015 06:04 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#4 - 07/17/2016 09:33 AM - TriggerAu

- Status changed from New to Needs Clarification

#5 - 08/07/2016 11:33 AM - TriggerAu
http://youtu.be/UWqp_tGNy_U
http://youtu.be/S_qcGbXi0u0

- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
